<div class="page-layout carded fullwidth" fusePerfectScrollbar>

  <!-- CENTER -->
  <div class="center">

    <mat-horizontal-stepper [linear]="true"  #stepper>
        
      <mat-step [completed]="customerPersonalComponent.isInvalid() ? false : true">
        <ng-template matStepLabel >Cliente</ng-template>
    
        <tnm-customer-personal></tnm-customer-personal>
        <tnm-customer-documents></tnm-customer-documents>
        <tnm-customer-address></tnm-customer-address>

        <div fxLayout="row" fxLayoutAlign="end end">
            <button color="primary" [disabled]="customerPersonalComponent.isInvalid()" matStepperNext mat-raised-button (click)="stepCustomerComplete()">Próximo</button>
        </div>
        
      </mat-step>

      <mat-step [completed]="vehicleComplete" >
        <ng-template matStepLabel>Veículo</ng-template>
    
        <tnm-vehicle-details></tnm-vehicle-details>

        <br>
        <div fxLayout="row" fxLayoutAlign="end end" fxLayoutGap="10px">
          <button mat-button (click)="stepperGoBack(stepper)">Voltar</button>
          <button color="primary" [disabled]="vehicleDetailsComponent.isInvalid()"  mat-raised-button (click)="stepperGoForward(stepper)">Próximo</button>
         
        </div>
      </mat-step>

      <mat-step *ngIf="!isContract || (offersList && offersList.length > 1) || (offersList && offersList.length == 0)" [completed]="offersComplete">
        <ng-template  matStepLabel>Escolha de oferta</ng-template>

        <div *ngIf="offersList && offersList.length == 0" class="hero-text" fxLayout="column" fxLayoutAlign="center center" fxFlex>
            <br>
            <div class="h2">Não existem ofertas {{offersList.length}}</div>
        </div>

          <div class="price-tables" fxLayout="row wrap" fxLayoutAlign="center">

                <div class="price-table style-1 " fxLayout="column" *ngFor="let offer of offersList" style="width: 300px" >
                                    
                        <div class="content mat-elevation-z2" fxLayout="column" style="background-color:rgb(233, 232, 232)">
                            
                            <div [hidden]="offer.agreement == 'LEASE'" class="package-type mat-primary-bg" >
                                <div class="title">{{offer.name}}</div>
                            </div>

                            <div [hidden]="offer.agreement != 'LEASE'" class="package-type mat-primary-bg">
                                <div class="title">Comodato&nbsp;{{offer.leaseContractPeriod}} meses</div>
                            </div>
                               
                            <div class="terms" fxLayout="column"> 
                                <div class="term">
                                    {{offer.description}}
                                </div>     
                            </div>
                            <span layout="row" *ngIf="offer.agreement == 'LEASE'"><hr flex/></span>

                            <div  class="terms" fxLayout="column" *ngIf="offer.agreement == 'LEASE'"> 
                                <div class="term">
                                        Condições
                                </div>
                                <div>
                                    <span *ngIf="offer.leaseAccessionPrice">- Entrada de R$ {{offer.leaseAccessionPrice}}<br></span>
                                    <span *ngIf="offer.leaseInstallmentPrice">- {{offer.leaseContractPeriod}}x de R$ {{offer.leaseInstallmentPrice}}<br></span>
                                    <span *ngIf="offer.leaseGracePeriod" style="font-size: 10px">- Com a primeira parcela para daqui a {{(offer.leaseGracePeriod+30)}} dias.<br></span>
                                </div>
                            </div>
                           

                            <span layout="row" *ngIf="offer.products  && offer.products.length > 0"><hr flex/></span>
                            
                            <div  class="terms" fxLayout="column" *ngIf="offer.products  && offer.products.length > 0"> 
                                <div class="term">
                                    Produtos
                                </div>
                                <div *ngIf="offer.products  && offer.products.length > 0">
                                        <span *ngFor="let product of offer.products">&nbsp;&nbsp;&nbsp;&nbsp;{{product.name ?  '-&nbsp;&nbsp;' + product.name : ''}}<br></span>
                                </div>
                            </div>
                            <span layout="row" *ngIf="offer.services  && offer.services.length > 0"><hr flex/></span>
                            
                            <div  class="terms" fxLayout="column" *ngIf="offer.services  && offer.services.length > 0"> 
                                <div class="term">
                                    Serviços
                                </div>
                                <div *ngIf="offer.services  && offer.services.length > 0">
                                        <span *ngFor="let service of offer.services">&nbsp;&nbsp;&nbsp;&nbsp;{{service.name ? '-&nbsp;&nbsp;' + service.name : ''}}<br></span>
                                </div> 
                            </div>
                            
    
                            <div class="price mat-primary-bg" *ngIf="!isContract  && offer.recurrencePrice && offer.recurrencePrice > 0" fxLayout="row" fxLayoutAlign="center center" style="height:25px;">  
                                <div fxLayout="row" fxLayoutAlign="center end" >
                                    <div class="value" style="color:white; font-size: 15px;">Valor da Mensalidade</div>
                                </div>
                            </div>

                            <div class="price" fxLayout="row" fxLayoutAlign="center start"  *ngIf="!isContract  && offer.recurrencePrice && offer.recurrencePrice > 0">
                                <div class="currency"> R$</div>
                                <div fxLayout="row" fxLayoutAlign="center end">
                                    <div  class="value">{{offer.recurrencePrice}}</div>
                                    <div  class="period">/ mês</div>
                                </div>
                            </div>

                            <div [hidden]="offer.agreement != 'SALE' || isContract || offer.agreement == 'RENT'" class="monthy-price mat-primary-bg" fxLayout="row" fxLayoutAlign="center center" style="height:25px;">  
                                <div fxLayout="row" fxLayoutAlign="center end" >
                                    <div class="period" style="color:white; font-size: 12px;">+&nbsp; R$&nbsp;{{offer.salePrice}}&nbsp;de taxa de instalação em até&nbsp;{{offer.saleMaxInstallments}}x</div>
                                </div>
                            </div>
                            <br>

                            <button mat-raised-button style="height:60px; font-size: 18px" color="{{ (selectedPlan && selectedPlan.id == offer.id) ? 'accent' : 'primary' }}" (click)="setPlan(stepper,offer)">
                                {{ (selectedPlan && selectedPlan.id == offer.id) ? 'Escolhido' : 'Escolher' }}
                            </button>
                     </div>
                 </div>
           </div> 
      
        <br>
        <div fxLayout="row" fxLayoutAlign="end end" fxLayoutGap="10px">
          <button mat-button (click)="stepperGoBack(stepper)">Voltar</button>
          <button color="primary" mat-raised-button (click)="stepperGoForward(stepper)">Próximo</button>
        </div>
      
      </mat-step>

      <mat-step *ngIf="isContract" [completed]="vehicleComplete">
        <ng-template   matStepLabel>Agendamento</ng-template >

        <div class="tab-content p-24" fusePerfectScrollbar>

            <form [formGroup]="scheduleForm" novalidate>

            <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                <mat-checkbox (change)="onCheck($event)" formControlName="check">Sem agendamento</mat-checkbox>
            </div>
            <hr>
              
              <div class="panel">
                <div class="panel-title" [ngClass]="primaryColorBrand">
                  <span><mat-icon class="white-fg">event_note</mat-icon></span>
                  <span class="white-fg">&nbsp;Data Agendamento</span>
                </div>
                <div class="panel-content">
          
                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    
                    <mat-form-field fxFlex="50">
                      <input matInput [matDatepicker]="picker" placeholder="Data" formControlName="scheduledDate" (dateChange)="scheduledDateChanged($event)" >
                      <mat-datepicker-toggle matSuffix [for]="picker" ></mat-datepicker-toggle>
                      <mat-datepicker #picker disabled="false"></mat-datepicker>
                      <mat-error *ngIf="scheduleForm.get('scheduledDate').hasError('required')">
                        Por favor, informe a Data de Agendamento
                      </mat-error>
                    </mat-form-field>
                    
                    <mat-form-field fxFlex="50">
                      <mat-select placeholder="Horário" formControlName="time" (selectionChange)="scheduledTimeChanged($event.value)">
                        <mat-option *ngFor="let time of scheduleTimeList" [value]="time">
                          {{ time }}
                        </mat-option>
                      </mat-select>
                      <mat-error *ngIf="scheduleForm.get('time').hasError('required')">
                        Por favor, selecione o Horário
                      </mat-error>
                    </mat-form-field>
                    
                  </div>
                </div>
              </div>

              <div class="panel">
                <div class="panel-title" [ngClass]="primaryColorBrand">
                  <span><mat-icon class="white-fg">place</mat-icon></span>
                  <span class="white-fg">&nbsp;Endereço</span>
                </div>                  
                <div class="panel-content">
                  
                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    
                      <mat-form-field fxFlex="50">
                        <input matInput placeholder="Rua/Avenida/Alameda" formControlName="street">
                        <mat-error *ngIf="scheduleForm.get('street').hasError('required')">
                          Por favor, informe a Rua/Avenida/Alameda
                        </mat-error>
                      </mat-form-field>  
                    
                      <mat-form-field fxFlex="20">
                        <input type="number" matInput placeholder="Número" formControlName="number">
                        <mat-error *ngIf="scheduleForm.get('number').hasError('required')">
                          Por favor, informe o número
                        </mat-error>
                      </mat-form-field>
                    
                      <mat-form-field fxFlex="20">
                        <input matInput placeholder="Complemento" formControlName="complement">
                      </mat-form-field>
                  </div>
            
                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    
                    <mat-form-field fxFlex="33">
                      <input matInput placeholder="Bairro" formControlName="district">
                      <mat-error *ngIf="scheduleForm.get('district').hasError('required')">
                        Por favor, informe o Bairro
                      </mat-error>
                    </mat-form-field>
                  
                    <mat-form-field fxFlex="34">
                      <input matInput placeholder="Cidade" formControlName="city">
                      <mat-error *ngIf="scheduleForm.get('city').hasError('required')">
                        Por favor, informe a Cidade
                      </mat-error>
                    </mat-form-field>
                  
                    <mat-form-field fxFlex="33">
                      <mat-select placeholder="Estado" formControlName="state">
                        <mat-option *ngFor="let state of stateAddressList" [value]="state.key">
                          {{ state.value }}
                        </mat-option>
                      </mat-select>
                      <mat-error *ngIf="scheduleForm.get('state').hasError('required')">
                        Por favor, selecione o Estado
                      </mat-error>
                    </mat-form-field>
                  </div>
            
                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    <mat-form-field fxFlex="50">
                      <input matInput placeholder="CEP" formControlName="postalCode" [textMask]="{mask: postalCodeMask}">
                      <mat-error *ngIf="scheduleForm.get('postalCode').hasError('required')">
                        Por favor, informe o CEP
                      </mat-error>
                      <mat-error *ngIf="scheduleForm.get('postalCode').hasError('minlength')">
                        Por favor, CEP deve conter 8 caracteres
                      </mat-error>                
                    </mat-form-field>
                  
                    <mat-form-field fxFlex="50">
                      <input matInput placeholder="Referência" formControlName="reference">
                    </mat-form-field>
                  </div>
                </div>
              </div>                  

              <div class="panel">
                <div class="panel-title" [ngClass]="primaryColorBrand">
                  <span><mat-icon class="white-fg">assignment_ind</mat-icon></span>
                  <span class="white-fg">&nbsp;Instalador</span>
                </div>
                <div class="panel-content">
          
                  <div fxLayout="row" fxLayoutAlign="start center">
                    
                      <mat-form-field fxFlex="100">
                        <input matInput placeholder="Instalador" formControlName="installer">
                        <mat-icon  matSuffix (click)="searchInstallers()">search</mat-icon>
                        <mat-error *ngIf="scheduleForm.get('installer').hasError('required')">
                          Por favor, informe o usuário
                        </mat-error>
                      </mat-form-field>
                  </div>
                  <mat-nav-list>
                    <mat-list-item *ngFor="let user of usersList" (click)="setInstaller(user)">
                        {{ user.name }}
                    </mat-list-item>
                 </mat-nav-list>
                  
                </div>
              </div>
              
            
            </form>
           </div> 

          

        <br>
       
        <div fxLayout="row" fxLayoutAlign="end end" fxLayoutGap="10px">
            <button mat-button (click)="stepperGoBack(stepper)">Voltar</button>
            <button color="primary" mat-raised-button (click)="generateContract(stepper)">Resumo</button>
          </div> 
      </mat-step>

      <mat-step *ngIf="!isContract" [completed]="paymentComplete">
        <ng-template   matStepLabel>Forma de pagamento</ng-template>
          <tnm-payments  (onPaymentTypeChanged)="onPaymentTypeChanged($event)"></tnm-payments>
        <br>
        <div fxLayout="row" fxLayoutAlign="end end" fxLayoutGap="10px">
          <button mat-button (click)="stepperGoBack(stepper)">Voltar</button>
        </div>    
      </mat-step>
      <mat-step [completed]="summaryComplete">
          <ng-template   matStepLabel>Resumo</ng-template>

          <div class="panel">
              <div class="panel-title" [ngClass]="primaryColorBrand">
                <span><mat-icon class="white-fg">account_box</mat-icon></span>
                <span class="white-fg">&nbsp;Resumo</span>
              </div>
              <div class="panel-content">
                  
                    
                  <div fxFlex="70">

                    <div fxLayout="row" fxLayoutAlign="start center">

                        <div id="invoice" class="modern page-layout blank" fxLayout="row" fusePerfectScrollbar>

                            <div class="invoice-container" fxFlex="100" >
                        
                                <!-- <div class="card" > -->

                                    <div class="section pb-48">
                                        <br>
                                        <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                            &nbsp;&nbsp;&nbsp;&nbsp;<mat-icon class="m-0 mr-16">account_circle</mat-icon>
                                            <div class="h2 secondary-text">Cliente</div>
                                        </div>

                                        <div class="customer">
                                            <table class="simple">
                                                <thead>
                                                    <tr>
                                                        <th>Nome</th>
                                                        <th>{{personType}}</th>
                                                        <th>Email</th>
                                                        <th>Celular</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td>
                                                            <span class="email text-truncate" *ngIf="summary" >{{summary.customer['name']}}</span>
                                                        </td>    
                                                        <td>
                                                            <span class="email text-truncate" *ngIf="summary" >{{maskRegistrationNumber(summary.customer['registrationNumber'])}}</span>
                                                        </td>                                              
                                                        <td>
                                                            <span class="email text-truncate" *ngIf="summary" >{{summary.customer['email']}}</span>
                                                        </td>
                                                        <td>
                                                            <span class="email text-truncate" *ngIf="summary" >{{maskPhoneNumber(summary.customer['mobilePhone'])}}</span>
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>


                                    <div class="section pb-48">

                                        <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                            &nbsp;&nbsp;&nbsp;&nbsp;<mat-icon class="m-0 mr-16">directions_car</mat-icon>
                                            <div class="h2 secondary-text">Veículo</div>
                                        </div>

                                        <div class="customer">
                                            <table class="simple">
                                                <thead>
                                                    <tr>
                                                        <th>Marca</th>
                                                        <th>Modelo</th>
                                                        <th>Placa</th>
                                                        <th>Ano</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td>
                                                            <span class="email text-truncate" *ngIf="summary" >{{summary.vehicle['manufacture']}}</span>
                                                        </td>                                                
                                                        <td>
                                                            <span class="email text-truncate" *ngIf="summary" >{{summary.vehicle['model']}}</span>
                                                        </td>
                                                        <td>
                                                            <span class="email text-truncate" *ngIf="summary" >{{summary.vehicle['licensePlate']}}</span>
                                                        </td>
                                                        <td>
                                                            <span class="email text-truncate" *ngIf="summary" >{{summary.vehicle['modelYear']}}</span>
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>

                                       <div class="section pb-48">

                                          <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                              &nbsp;&nbsp;&nbsp;&nbsp;<mat-icon class="m-0 mr-16">library_books</mat-icon>
                                              <div class="h2 secondary-text">Oferta</div>
                                          </div>

                                          <div class="customer">
                                              <table class="simple">
                                                  <thead>
                                                      <tr>
                                                          <th>Oferta</th>
                                                          <th>Descrição</th>
                                                          <th>Produtos</th>
                                                          <th>Serviços</th>
                                                      </tr>
                                                  </thead>
                                                  <tbody>
                                                      <tr>
                                                          <td>
                                                              <span class="email text-truncate" *ngIf="summary" >{{summary.offer['name']}}</span>
                                                          </td>                                                
                                                          <td>
                                                              <span class="email text-truncate" *ngIf="summary" >{{summary.offer['description']}}</span>
                                                          </td>
                                                          <td>
                                                              <div *ngIf="summary && summary.offer && summary.offer.products  && summary.offer.products.length > 0">
                                                                  <span *ngFor="let product of summary.offer.products">- {{product.name}}<br></span>
                                                              </div>
                                                          </td>
                                                          <td>
                                                              <div *ngIf="summary && summary.offer && summary.offer.services  && summary.offer.services.length > 0">
                                                                  <span *ngFor="let service of summary.offer.services">- {{service.name}}<br></span>
                                                                </div> 
                                                          </td>
                                                      </tr>
                                                  </tbody>
                                              </table>
                                          </div>
                                      </div> 

                                      <div class="section pb-48" *ngIf="isContract && !isScheduling">

                                        <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                            &nbsp;&nbsp;&nbsp;&nbsp;<mat-icon class="m-0 mr-16">date_range</mat-icon>
                                            <div class="h2 secondary-text">Agendamento</div>
                                        </div>

                                        <table class="simple">
                                            <thead>
                                                <tr>
                                                    <th>Data</th>
                                                    <th>Instalador</th>
                                                    <th>Endereço</th>
                                                    <th>Número</th>
                                                    <th>Cep</th>
                                                    <th>Cidade</th>
                                                    <th>UF</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td>
                                                        <span class="text-truncate" *ngIf="summary && summary.assignData && summary.assignData.scheduledDate">
                                                            {{ summaryUtcTimeZome(summary.assignData.scheduledDate) | date : 'short'}}
                                                        </span>
                                                    </td>                            
                                                    <td>
                                                        <span class="text-truncate" *ngIf="installerUser">
                                                           {{installerUser.name}}
                                                        </span>
                                                    </td>
                                                    <td>
                                                        <span class="email text-truncate" *ngIf="summary && summary.assignData" >{{summary.assignData['street']}}</span>
                                                    </td>
                                                    <td>
                                                        <span class="email text-truncate" *ngIf="summary && summary.assignData" >{{summary.assignData['number']}}</span>
                                                    </td>
                                                    <td>
                                                        <span class="email text-truncate" *ngIf="summary && summary.assignData" >{{summary.postalCode}}</span>
                                                    </td>
                                                    <td>
                                                        <span class="email text-truncate" *ngIf="summary && summary.assignData" >{{summary.assignData['city']}}</span>
                                                    </td> 
                                                    <td>
                                                        <span class="email text-truncate" *ngIf="summary && summary.assignData" >{{summary.assignData['state']}}</span>
                                                    </td> 
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div> 

                                      <div class="section pb-48" *ngIf="!isContract">

                                          <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                              &nbsp;&nbsp;&nbsp;&nbsp;<mat-icon class="m-0 mr-16">attach_money</mat-icon>
                                              <div class="h2 secondary-text">Pagamento</div>
                                          </div>

                                          <table class="simple">
                                              <thead>
                                                  <tr>
                                                      <th>Forma de Pagamento</th>
                                                      <th>Vencimento da Fatura</th>
                                                      <th *ngIf="summary && payment && payment.type == 'CREDIT_CARD'">Parcelamento</th>
                                                      <th *ngIf="summary && (summary.offer.salePrice && summary.offer.leaseAccessionPrice)">Valor</th>
                                                      <th *ngIf="payment && payment.type != 'BOOKLET'">Bandeira</th>
                                                      <th *ngIf="payment && payment.type != 'BOOKLET'">Número</th>
                                                  </tr>
                                              </thead>
                                              <tbody>
                                                  <tr>
                                                      <td>
                                                          <span class="text-truncate" *ngIf="summary">
                                                              {{summary.payment}}
                                                          </span>
                                                      </td> 
                                                      <td >
                                                        <span class="text-truncate" *ngIf="summary && summary.dueDay">
                                                            Dia&nbsp;&nbsp;{{summary.dueDay}}
                                                        </span>
                                                      </td>                               
                                                      <td *ngIf="summary && payment && payment.type == 'CREDIT_CARD'">
                                                          <span class="text-truncate" *ngIf="summary && payment && payment.type == 'CREDIT_CARD'">
                                                              Parcelado em&nbsp;{{summary.installments}}x
                                                          </span>
                                                      </td>
                                                     
                                                        <td *ngIf="summary && (summary.offer.salePrice || summary.offer.leaseAccessionPrice)">
                                                            <span class="text-truncate" *ngIf="summary && (summary.offer.salePrice || summary.offer.leaseAccessionPrice)">
                                                                {{summary.offer.agreement == 'SALE' ? (summary.offer.salePrice | currency: 'BRL') : (summary.offer.leaseAccessionPrice | currency: 'BRL')}}
                                                            </span>
                                                        </td>                                            
                                                        <td *ngIf="payment && payment.type != 'BOOKLET'">
                                                            <span class="text-truncate" *ngIf="payment && payment.type != 'BOOKLET'">
                                                                {{payment?.creditCardBrand ? payment?.creditCardBrand : payment?.debitCardBrand}}
                                                            </span>
                                                        </td>
                                                        <td *ngIf="payment && payment.type != 'BOOKLET'">
                                                            <span class="text-truncate" *ngIf="payment && payment.type == 'CREDIT_CARD'">
                                                                    {{ payment.id ?  payment?.creditCardNumber : payment?.creditCardNumber ? payment.creditCardNumber.substring(0, 4)+payment.creditCardNumber.substring(5, 7)+"******"+payment.creditCardNumber.substring(15, 19) : payment.debitCardNumber.substring(0, 4)+payment.debitCardNumber.substring(5, 7)+"******"+payment.debitCardNumber.substring(15, 19)  }}
                                                            </span>

                                                            <span class="text-truncate" *ngIf="payment && payment.type == 'DEBIT_CARD'">
                                                                    {{payment?.debitCardNumber ? payment.debitCardNumber.substring(0, 4)+payment.debitCardNumber.substring(5, 7)+"******"+payment.debitCardNumber.substring(15, 19) : ''}}
                                                            </span>
                                                        </td>
                                                  </tr>
                                              </tbody>
                                          </table>
                                      </div> 

                                      <div class="section pb-48">

                                          <div class="pb-16" fxLayout="row" fxLayoutAlign="start center">
                                              &nbsp;&nbsp;&nbsp;&nbsp;<mat-icon class="m-0 mr-16">local_shipping</mat-icon>
                                              <div class="h2 secondary-text">Entrega</div>
                                          </div>

                                          <div class="customer">
                                              <table class="simple">
                                                  <thead>
                                                      <tr>
                                                          <th>Endereço</th>
                                                          <th>Número</th>
                                                          <th>Cep</th>
                                                          <th>Cidade</th>
                                                          <th>UF</th>
                                                      </tr>
                                                  </thead>
                                                  <tbody>
                                                      <tr>
                                                          <td>
                                                              <span class="email text-truncate" *ngIf="summary" >{{summary.address['street']}}</span>
                                                          </td>
                                                          <td>
                                                              <span class="email text-truncate" *ngIf="summary" >{{summary.address['number']}}</span>
                                                          </td>
                                                          <td>
                                                              <span class="email text-truncate" *ngIf="summary" >{{summary.postalCode}}</span>
                                                          </td>
                                                          <td>
                                                              <span class="email text-truncate" *ngIf="summary" >{{summary.address['city']}}</span>
                                                          </td> 
                                                          <td>
                                                              <span class="email text-truncate" *ngIf="summary" >{{summary.address['state']}}</span>
                                                          </td> 
                                                      </tr>
                                                  </tbody>
                                              </table>
                                              <br>
                                              <table class="simple" *ngIf="freight">
                                                    <thead>
                                                        <tr>
                                                            <th>Forma de envio</th>
                                                            <th>Custo</th>
                                                            <th>Entrega prevista</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td>
                                                                    <span class="email text-truncate">  {{freight.serviceDescription }}   </span>
                                                            </td>
                                                            <td>
                                                                    <span class="email text-truncate">  R$&nbsp; {{ freight.value }} </span>
                                                            </td>   
                                                            <td>
                                                                    <span class="email text-truncate">  {{ freight.deliveryTime }}&nbsp; dias</span>
                                                            </td>             
                                                        </tr>
                                                    </tbody>
                                                </table>
                                          </div>
                                      </div>

                                  <!-- </div> -->

                                </div>
                                
                          </div>
                     
                      </div>

                    </div>

                    <div fxFlex="30">

                      <div fxLayout="row" fxLayoutAlign="start center"  style="text-align:left">
                                            
                        <div class="summary "  style="width: 600px;">
                            <mat-card *ngIf="summary" style="height:800px; background-color: lightgray">
                                <mat-card-header>
                                    <mat-card-title style="text-align:center"> <b> {{!isContract ? 'Resumo da Compra' :  'Resumo do Contrato'}} </b> </mat-card-title>
                                </mat-card-header>
                                <mat-divider ></mat-divider>
                                <mat-card-content >

                                    <br>
                                    <div fxLayout="row" fxLayoutAlign="space-between center" fxLayoutGap="10px">
                                            <div fxFlex="70">
                                                &nbsp;&nbsp;Oferta:
                                            </div>
                                            <div fxFlex="30">
                                                <span class="email text-truncate" *ngIf="summary" > {{summary.offer['name']}}</span>
                                            </div>
                                    </div>
                                    
                                    <div fxLayout="row" fxLayoutAlign="space-between center" fxLayoutGap="10px" *ngIf="summary && !isContract">
                                        <div fxFlex="70">
                                            &nbsp;&nbsp;Total
                                        </div>
                                        <div fxFlex="30">
                                            <span class="email text-truncate" *ngIf="summary && !isContract" > {{summary.offer.agreement == 'SALE' ? (summary.offer.salePrice | currency: 'BRL') : summary.offer.agreement == 'LEASE' ? (summary.offer.leaseAccessionPrice | currency: 'BRL') : (0 | currency: 'BRL')}}</span>
                                        </div>
                                    </div>
                                    <br>
                                    <mat-divider ></mat-divider>
                                    <br>
                                    <div class="actions"  fxLayout="column" fxLayoutAlign="start end" fxLayoutGap="10px" >
                                        
                                        <button type="button" color="accent" *ngIf="!isContract" style="width: 100%;" (click)="calculateFreight()" mat-raised-button >Calcular Frete</button>
                                        
                                        <button type="button" color="primary" style="width: 100%;" [disabled]="buttonSale"  (click)="approveSales()" mat-raised-button *ngIf="summary && summary.offer && !isContract" > {{summary.offer.agreement == 'LEASE' ? 'Contratar' : summary.offer.agreement == 'SALE' ? 'Confirmar Venda' : 'Confirmar Aluguel'}}</button>
                                    
                                        <button mat-raised-button color="primary"  style="width: 100%;"  [disabled]="buttonSale" (click)="saveSale()" *ngIf="summary && summary.offer && !isContract" > {{summary.offer.agreement == 'SALE' ? 'Salvar Venda' : 'Salvar'}}</button>

                                        <button type="button" color="primary" style="width: 100%;"   (click)="createContract()" mat-raised-button *ngIf="isContract" >Criar Contrato</button>
                                    </div>
                                </mat-card-content>

                            </mat-card>
                            
                            
                          </div> 
                        </div> 
                    </div>
                  </div>
              </div>
          <br>
          <div fxLayout="row" fxLayoutAlign="end end" fxLayoutGap="10px">
            <button mat-button (click)="stepperGoBack(stepper)">Voltar</button>
          </div>    
        </mat-step>
       
    </mat-horizontal-stepper>

  </div>
</div>